Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

Append activity to an agent session

POST/agent-sessions/{runId}/activities
Authorization
AuthorizationBearer token (JWT) · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
runIdstringrequired
Request body
requiredapplication/json
actionstring
activityTypestringrequired
Allowed:thoughtactionelicitationresponseerrorpromptlogmodelRequestmodelResponsetoolCalltoolResult
bodystringrequired
idempotencyKeystring
parameterstring
providerEventIdstring
providerEventTypestring
rawobject
resultstring
Responses
201
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/agent-sessions/string/activities" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "string",
  "activityType": "thought",
  "body": "string",
  "idempotencyKey": "string",
  "parameter": "string",
  "providerEventId": "string",
  "providerEventType": "string",
  "raw": {},
  "result": "string"
}'
Response
No example response.